// ChildView.h : interface of the CChildView class
//
/////////////////////////////////////////////////////////////////////////////

#include "dbgame.h"

#if !defined(AFX_CHILDVIEW_H__1262B08F_1F12_4A9D_A2D8_93E09D5189B8__INCLUDED_)
#define AFX_CHILDVIEW_H__1262B08F_1F12_4A9D_A2D8_93E09D5189B8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CChildView window

class CChildView : public CWnd
{
// Construction
public:
	CChildView();

// Attributes
public:

	DBGame		*m_game;
	unsigned	m_s;
	unsigned	m_t;
	Direction	m_dir;
	int			m_defaultWidth;
	int			m_defaultHeight;
	int			m_defaultDepth;
	int			m_defaultTimeLimit;
	int			m_defaultGameLimit;
	int			m_autoPlay;
	int			m_computer;
	int			m_internals;
	int			m_showBeta;

	CString		m_name1;
	CString		m_name2;

// Operations
public:

	void GetLine (CPoint p, unsigned &s, unsigned &t, Direction &dir);
	void DrawLine (unsigned s, unsigned t, Direction dir, int select = 0);
	void GetCoords (int &x0, int &y0, int &side);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChildView)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CChildView();

	// Generated message map functions
protected:
	//{{AFX_MSG(CChildView)
	afx_msg void OnPaint();
	afx_msg void OnNewGame();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMymove();
	afx_msg void OnSettings();
	afx_msg void OnEval();
	afx_msg void OnUndo();
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnAutoPlay();
	afx_msg void OnUpdateAutoPlay(CCmdUI* pCmdUI);
	afx_msg void OnInternals();
	afx_msg void OnUpdateInternals(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEval(CCmdUI* pCmdUI);
	afx_msg void OnForward();
	afx_msg void OnUpdateForward(CCmdUI* pCmdUI);
	afx_msg void OnUpdateUndo(CCmdUI* pCmdUI);
	afx_msg void OnUpdateMymove(CCmdUI* pCmdUI);
	afx_msg void OnFileOpen();
	afx_msg void OnFileSave();
	afx_msg void OnUpdateStop(CCmdUI* pCmdUI);
	afx_msg void OnStop();
	afx_msg void OnUpdateNewGame(CCmdUI* pCmdUI);
	afx_msg void OnUnpause();
	afx_msg void OnShowBeta();
	afx_msg void OnUpdateShowBeta(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHILDVIEW_H__1262B08F_1F12_4A9D_A2D8_93E09D5189B8__INCLUDED_)
