// DlgSettings.cpp : implementation file
//

#include "stdafx.h"
#include "dabble.h"
#include "DlgSettings.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgSettings dialog


CDlgSettings::CDlgSettings(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgSettings::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgSettings)
	m_depth = 0;
	m_timeLimit = 0;
	m_gameLimit = 0;
	m_name1 = _T("");
	m_name2 = _T("");
	//}}AFX_DATA_INIT

	m_perMove = 0;
}


void CDlgSettings::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgSettings)
	DDX_Text(pDX, IDC_DEPTH, m_depth);
	DDV_MinMaxInt(pDX, m_depth, 1, 20);
	DDX_Text(pDX, IDC_TIME_LIMIT, m_timeLimit);
	DDV_MinMaxInt(pDX, m_timeLimit, 0, 300);
	DDX_Text(pDX, IDC_GAME_LIMIT, m_gameLimit);
	DDV_MinMaxInt(pDX, m_gameLimit, 1, 60);
	DDX_Text(pDX, IDC_NAME1, m_name1);
	DDV_MaxChars(pDX, m_name1, 8);
	DDX_Text(pDX, IDC_NAME2, m_name2);
	DDV_MaxChars(pDX, m_name2, 8);
	//}}AFX_DATA_MAP

	if (!pDX->m_bSaveAndValidate)
	{
		((CButton *) GetDlgItem(m_perMove ? IDC_RADIO_PER_MOVE : IDC_RADIO_PER_GAME))->SetCheck(TRUE);
		((CWnd *) GetDlgItem(m_perMove ? IDC_GAME_LIMIT : IDC_TIME_LIMIT))->EnableWindow(FALSE);
	}
}


BEGIN_MESSAGE_MAP(CDlgSettings, CDialog)
	//{{AFX_MSG_MAP(CDlgSettings)
	ON_BN_CLICKED(IDC_RADIO_PER_GAME, OnRadioPerGame)
	ON_BN_CLICKED(IDC_RADIO_PER_MOVE, OnRadioPerMove)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgSettings message handlers

void CDlgSettings::OnRadioPerMove() 
{
	m_perMove = TRUE;
	CWnd*   pwnd = GetDlgItem(IDC_TIME_LIMIT);
	pwnd->EnableWindow(TRUE);
	pwnd = GetDlgItem(IDC_GAME_LIMIT);
	pwnd->EnableWindow(FALSE);
}

void CDlgSettings::OnRadioPerGame() 
{
	m_perMove = FALSE;
	CWnd*   pwnd = GetDlgItem(IDC_TIME_LIMIT);
	pwnd->EnableWindow(FALSE);
	pwnd = GetDlgItem(IDC_GAME_LIMIT);
	pwnd->EnableWindow(TRUE);
}

