// NewGame.cpp : implementation file
//

#include "stdafx.h"
#include "dabble.h"
#include "NewGame.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// NewGame dialog


NewGame::NewGame(CWnd* pParent /*=NULL*/)
	: CDialog(NewGame::IDD, pParent)
{
	//{{AFX_DATA_INIT(NewGame)
	m_height = 0;
	m_width = 0;
	m_depth = 0;
	m_timeLimit = 0;
	m_gameLimit = 0;
	//}}AFX_DATA_INIT
	m_perMove = 0;
}


void NewGame::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(NewGame)

	DDX_Text(pDX, IDC_HEIGHT, m_height);
	DDV_MinMaxInt(pDX, m_height, 2, MAX_SIZE);
	DDX_Text(pDX, IDC_WIDTH, m_width);
	DDV_MinMaxInt(pDX, m_width, 2, MAX_SIZE);
	DDX_Text(pDX, IDC_DEPTH_NEW, m_depth);
	DDV_MinMaxInt(pDX, m_depth, 1, 20);
	DDX_Text(pDX, IDC_NEW_TIME, m_timeLimit);
	DDV_MinMaxInt(pDX, m_timeLimit, 0, 300);
	DDX_Text(pDX, IDC_NEW_GAME_TIME, m_gameLimit);
	DDV_MinMaxInt(pDX, m_gameLimit, 1, 60);
	//}}AFX_DATA_MAP

	if (!pDX->m_bSaveAndValidate)
	{
		((CButton *) GetDlgItem(m_perMove ? IDC_RADIO_PER_MOVE : IDC_RADIO_PER_GAME))->SetCheck(TRUE);
		((CWnd *) GetDlgItem(m_perMove ? IDC_NEW_GAME_TIME : IDC_NEW_TIME))->EnableWindow(FALSE);
	}
}


BEGIN_MESSAGE_MAP(NewGame, CDialog)
	//{{AFX_MSG_MAP(NewGame)
	ON_BN_CLICKED(IDC_RADIO_PER_MOVE, OnRadioPerMove)
	ON_BN_CLICKED(IDC_RADIO_PER_GAME, OnRadioPerGame)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// NewGame message handlers

void NewGame::OnRadioPerMove() 
{
	m_perMove = TRUE;
	CWnd*   pwnd = GetDlgItem(IDC_NEW_TIME);
	pwnd->EnableWindow(TRUE);
	pwnd = GetDlgItem(IDC_NEW_GAME_TIME);
	pwnd->EnableWindow(FALSE);
}

void NewGame::OnRadioPerGame() 
{
	m_perMove = FALSE;
	CWnd*   pwnd = GetDlgItem(IDC_NEW_TIME);
	pwnd->EnableWindow(FALSE);
	pwnd = GetDlgItem(IDC_NEW_GAME_TIME);
	pwnd->EnableWindow(TRUE);
}
